Skip to content

List inbound signing keys

GET
/v1/inbound-endpoints/{id}/signing-keys
curl --request GET \
--url https://api.hookbridge.io/v1/inbound-endpoints/01935abc-def0-7123-4567-890abcdef012/signing-keys \
--header 'Authorization: Bearer <token>'

List active delivery signing keys for an inbound endpoint.

id
required
string format: uuid

Inbound endpoint identifier (UUIDv7)

Example
01935abc-def0-7123-4567-890abcdef012

Inbound signing keys retrieved successfully

Media typeapplication/json
object
data
Array<object>
object
id

Signing key ID

string
key_hint

Last 4 chars of key for identification

string
created_at
string format: date-time
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"data": [
{
"id": "sk_550e8400e29b41d4a716446655440001",
"key_hint": "wxyz",
"created_at": "2025-12-06T12:10:00Z"
}
],
"meta": {
"request_id": "req_xyz123"
}
}

Invalid request

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Examples

Endpoint not found

{
"error": {
"code": "ENDPOINT_NOT_FOUND",
"message": "endpoint not found"
},
"meta": {
"request_id": "req_xyz123"
}
}

Unauthorized - Invalid or missing API key

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
},
"meta": {
"request_id": "req_xyz123"
}
}

Resource not found

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"error": {
"code": "NOT_FOUND",
"message": "Message not found"
},
"meta": {
"request_id": "req_xyz123"
}
}

Internal server error

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred"
},
"meta": {
"request_id": "req_xyz123"
}
}
Personalize Examples

Enter your credentials to populate code examples throughout the docs.